bl_info = {
    "name": "Quick Pipe",
    "author": "floatvoid (Jeremy Mitchell), Pavel Geraskin, Cebbi, Alexander Belyakov",
    "version": (2, 3),
    "blender": (2, 80, 0),
    "location": "View3D > Edit Mode >, Edge Menu (Ctrl + E)",
    "description": "Quickly converts an edge selection to an extruded curve.",
    "warning": "",
    "wiki_url": "",
    "category": "Mesh"}


import bpy
from .operators.quick_pipe import jmPipeTool
from .operators.match_pipe_width import MatchPipeWidth
from .preferences import QuickPipePreferences


classes = (
    jmPipeTool,
    MatchPipeWidth,
    QuickPipePreferences,
)


def menu_func(self, context):
    self.layout.operator_context = "INVOKE_DEFAULT"
    self.layout.operator(jmPipeTool.bl_idname, text="Quick Pipe")


def register():
    for cls in classes:
        bpy.utils.register_class(cls)
    bpy.types.VIEW3D_MT_edit_mesh_edges.append(menu_func)  # Edge Menu(CTRL+E)


def unregister():
    for cls in classes:
        bpy.utils.unregister_class(cls)
    bpy.types.VIEW3D_MT_edit_mesh_edges.remove(menu_func)


if __name__ == "__main__":
    register()
